.export-footer {
  padding: 0 16px;
  background-color: #0080ff;
  color: white;
  height: 45px;
}

.export-footer button {
  border: none;
  outline: none;
  color: inherit;
  padding: 14px 16px;
  background-color: inherit;
  font-family: inherit;
  font-weight: bold;
  float: right;
}
.export-footer button.hidden {
  display: none;
}

.export-footer button:hover:not([disabled]),
.export-footer button:focus:not([disabled]) {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

.export-footer button[disabled] {
  background-color: #004099;
  color: #999;
  cursor: not-allowed;
}

.export-entry > .hidden {
  display: none;
}

.export-entry table {
  padding: 40px 40px 16px 16px;
  border: none;
  width: 100%;
}

.export-entry td:first-child,
.export-entry td:last-child {
  white-space: nowrap;
}

.export-entry td:first-child {
  width: 100px;
}

.export-entry td:first-child label {
  right: 0;
  padding: 16px 16px 0 16px;
  font-weight: bold;
}

.export-entry td:last-child {
  width: 300px;
}

.export-entry td:last-child label {
  padding: 16px 32px 0 32px;
}

.export-entry td:not(:last-child) td:not(:last-child) {
  width: 100%;
}

.export-entry input {
  border: none;
  border-bottom: 2px solid black;
  padding: 12px 20px;
  margin: 8px 0;
  box-sizing: border-box;
  width: 100%;
}

.export-entry input.invalid {
  border-bottom: 2px solid red;
}

.export-entry label.invalid,
.export-entry table.invalid label.export-time-label {
  color: red;
}

select.export-select {
  padding: 12px 20px;
  display: block;
  border: none;
  box-sizing: border-box;
  min-width: 150px;
  appearance: none;
  -webkit-appearance: none;
  background-color: #0080ff;
  color: white;
  cursor: pointer;
  flex-shrink: 0;
  text-align: left;
}


.export-waiting-text {
  display: block;
  margin: 40px 40px 16px 16px;
  text-align: center;
  font-size: 20px;
  font-weight: bold;
}
.export-waiting-indicator {
  display: flex;
  align-items: center;
}
.export-waiting-indicator > .mdi-loading {
  font-size: 100px;
  flex-grow: 1;
  text-align: center;
  color: #3AF;
}


.export-error-text {
  display: block;
  margin: 40px 40px 16px 16px;
  text-align: center;
  font-size: 20px;
  font-weight: bold;
  color: #AA0000;
}


.export-ready-text {
  display: block;
  margin: 40px 40px 16px 16px;
}
.export-ready-download {
  display: flex;
  align-items: center;
  margin: 0 0 16px 16px;
}
.export-ready-download > a {
  flex-grow: 1;
  font-size: 24px;
  text-align: center;
  font-weight: bold;
  color: #0000EE;
}
.export-ready-download > a:visited {
  color: #0000EE;
}